Liferay.Loader.define("dynamic-data-mapping-form-renderer@5.0.71/js/thunks/fieldFocus.es", ['module', 'exports', 'require', '../actions/eventTypes.es'], function (module, exports, require) {
  var define = undefined;
  var global = window;
  {
    Object.defineProperty(exports, "__esModule", {
      value: true
    });
    exports.default = fieldFocus;

    var _eventTypes = require("../actions/eventTypes.es");

    /**
     * SPDX-FileCopyrightText: (c) 2000 Liferay, Inc. https://liferay.com
     * SPDX-License-Identifier: LGPL-2.1-or-later OR LicenseRef-Liferay-DXP-EULA-2.0.0-2023-06
     */
    function fieldFocus(_ref) {
      var activePage = _ref.activePage,
          formId = _ref.formId,
          formPageTitle = _ref.formPageTitle,
          properties = _ref.properties,
          title = _ref.title;
      return function (dispatch) {
        var fieldInstance = properties.fieldInstance;
        dispatch({
          payload: properties,
          type: _eventTypes.EVENT_TYPES.FIELD_FOCUS
        });
        Liferay.fire('ddmFieldFocus', {
          fieldName: fieldInstance.label,
          formId: formId,
          formPageTitle: formPageTitle,
          page: activePage,
          title: title
        });
      };
    }
    //# sourceMappingURL=fieldFocus.es.js.map
  }
});
//# sourceMappingURL=fieldFocus.es.js.map